diff --git a/rpm/redhat/9.2/postgresql/F-19/postgresql-9.2.spec b/rpm/redhat/9.2/postgresql/F-19/postgresql-9.2.spec
index e0e4fa5..f20701c 100644
--- a/rpm/redhat/9.2/postgresql/F-19/postgresql-9.2.spec
+++ b/rpm/redhat/9.2/postgresql/F-19/postgresql-9.2.spec
@@ -71,7 +71,7 @@
 Summary:	PostgreSQL client programs and libraries
 Name:		%{oname}%{packageversion}
 Version:	9.2.10
-Release:	1PGDG%{?dist}
+Release:	2PGDG%{?dist}
 License:	PostgreSQL
 Group:		Applications/Databases
 Url:		http://www.postgresql.org/
@@ -568,9 +568,6 @@ cat postgres-%{majorversion}.lang pg_resetxlog-%{majorversion}.lang pg_controlda
 groupadd -g 26 -o -r postgres >/dev/null 2>&1 || :
 useradd -M -n -g postgres -o -r -d /var/lib/pgsql -s /bin/bash \
 	-c "PostgreSQL Server" -u 26 postgres >/dev/null 2>&1 || :
-touch /var/log/pgsql
-chown postgres:postgres /var/log/pgsql
-chmod 0700 /var/log/pgsql
 
 %post server
 /sbin/ldconfig
@@ -978,6 +975,9 @@ rm -rf %{buildroot}
 %endif
 
 %changelog
+* Thu Feb 12 2015 Strahinja Kustudic <strahinjak@nordeus.com> - 9.2.10-2PGDG
+- Remove obsolete /var/log/pgsql
+
 * Tue Feb 3 2015 Devrim Gündüz <devrim@gunduz.org> - 9.2.10-1PGDG
 - Update to 9.2.10, per changes described at:
   http://www.postgresql.org/docs/9.2/static/release-9-2-10.html
diff --git a/rpm/redhat/9.3/postgresql/F-19/postgresql-9.3.spec b/rpm/redhat/9.3/postgresql/F-19/postgresql-9.3.spec
index 0d10f80..ab48472 100644
--- a/rpm/redhat/9.3/postgresql/F-19/postgresql-9.3.spec
+++ b/rpm/redhat/9.3/postgresql/F-19/postgresql-9.3.spec
@@ -72,7 +72,7 @@
 Summary:	PostgreSQL client programs and libraries
 Name:		%{oname}%{packageversion}
 Version:	9.3.6
-Release:	1PGDG%{?dist}
+Release:	2PGDG%{?dist}
 License:	PostgreSQL
 Group:		Applications/Databases
 Url:		http://www.postgresql.org/
@@ -569,9 +569,6 @@ cat postgres-%{majorversion}.lang pg_resetxlog-%{majorversion}.lang pg_controlda
 groupadd -g 26 -o -r postgres >/dev/null 2>&1 || :
 useradd -M -n -g postgres -o -r -d /var/lib/pgsql -s /bin/bash \
 	-c "PostgreSQL Server" -u 26 postgres >/dev/null 2>&1 || :
-touch /var/log/pgsql
-chown postgres:postgres /var/log/pgsql
-chmod 0700 /var/log/pgsql
 
 %post server
 /sbin/ldconfig
@@ -988,6 +985,9 @@ rm -rf %{buildroot}
 %endif
 
 %changelog
+* Thu Feb 12 2015 Strahinja Kustudic <strahinjak@nordeus.com> - 9.3.6-2PGDG
+- Remove obsolete /var/log/pgsql
+
 * Tue Feb 3 2015 Devrim GÜNDÜZ <devrim@gunduz.org> - 9.3.6-1PGDG
 - Update to 9.3.6, per changes described at:
   http://www.postgresql.org/docs/9.3/static/release-9-3-6.html
diff --git a/rpm/redhat/9.3/postgresql/F-20/postgresql-9.3.spec b/rpm/redhat/9.3/postgresql/F-20/postgresql-9.3.spec
index 3e18826..62a01f3 100644
--- a/rpm/redhat/9.3/postgresql/F-20/postgresql-9.3.spec
+++ b/rpm/redhat/9.3/postgresql/F-20/postgresql-9.3.spec
@@ -72,7 +72,7 @@
 Summary:	PostgreSQL client programs and libraries
 Name:		%{oname}%{packageversion}
 Version:	9.3.6
-Release:	1PGDG%{?dist}
+Release:	2PGDG%{?dist}
 License:	PostgreSQL
 Group:		Applications/Databases
 Url:		http://www.postgresql.org/
@@ -569,9 +569,6 @@ cat postgres-%{majorversion}.lang pg_resetxlog-%{majorversion}.lang pg_controlda
 groupadd -g 26 -o -r postgres >/dev/null 2>&1 || :
 useradd -M -n -g postgres -o -r -d /var/lib/pgsql -s /bin/bash \
 	-c "PostgreSQL Server" -u 26 postgres >/dev/null 2>&1 || :
-touch /var/log/pgsql
-chown postgres:postgres /var/log/pgsql
-chmod 0700 /var/log/pgsql
 
 %post server
 /sbin/ldconfig
@@ -988,6 +985,9 @@ rm -rf %{buildroot}
 %endif
 
 %changelog
+* Thu Feb 12 2015 Strahinja Kustudic <strahinjak@nordeus.com> - 9.3.6-2PGDG
+- Remove obsolete /var/log/pgsql
+
 * Tue Feb 3 2015 Devrim GÜNDÜZ <devrim@gunduz.org> - 9.3.6-1PGDG
 - Update to 9.3.6, per changes described at:
   http://www.postgresql.org/docs/9.3/static/release-9-3-6.html
diff --git a/rpm/redhat/9.3/postgresql/F-21/postgresql-9.3.spec b/rpm/redhat/9.3/postgresql/F-21/postgresql-9.3.spec
index 3e18826..62a01f3 100644
--- a/rpm/redhat/9.3/postgresql/F-21/postgresql-9.3.spec
+++ b/rpm/redhat/9.3/postgresql/F-21/postgresql-9.3.spec
@@ -72,7 +72,7 @@
 Summary:	PostgreSQL client programs and libraries
 Name:		%{oname}%{packageversion}
 Version:	9.3.6
-Release:	1PGDG%{?dist}
+Release:	2PGDG%{?dist}
 License:	PostgreSQL
 Group:		Applications/Databases
 Url:		http://www.postgresql.org/
@@ -569,9 +569,6 @@ cat postgres-%{majorversion}.lang pg_resetxlog-%{majorversion}.lang pg_controlda
 groupadd -g 26 -o -r postgres >/dev/null 2>&1 || :
 useradd -M -n -g postgres -o -r -d /var/lib/pgsql -s /bin/bash \
 	-c "PostgreSQL Server" -u 26 postgres >/dev/null 2>&1 || :
-touch /var/log/pgsql
-chown postgres:postgres /var/log/pgsql
-chmod 0700 /var/log/pgsql
 
 %post server
 /sbin/ldconfig
@@ -988,6 +985,9 @@ rm -rf %{buildroot}
 %endif
 
 %changelog
+* Thu Feb 12 2015 Strahinja Kustudic <strahinjak@nordeus.com> - 9.3.6-2PGDG
+- Remove obsolete /var/log/pgsql
+
 * Tue Feb 3 2015 Devrim GÜNDÜZ <devrim@gunduz.org> - 9.3.6-1PGDG
 - Update to 9.3.6, per changes described at:
   http://www.postgresql.org/docs/9.3/static/release-9-3-6.html
